# vue-i18n documentation

Internationalization plugin of Vue.js

> :warning: NOTE: This documentation is for vue-i18n v6.0 or later.

* [Looking for 5.x Docs?](https://kazupon.github.io/vue-i18n/old/)
* [Release Notes](https://github.com/kazupon/vue-i18n/releases)
* [Installation](installation.md)
* [Getting started](started.md)
* [Formatting](formatting.md)
  * [HTML formatting](formatting.md#html-formatting)
  * [Named formatting](formatting.md#named-formatting)
  * [List formatting](formatting.md#list-formatting)
  * [Support ruby on rails i18n format](formatting.md#support-ruby-on-rails-i18n-format)
  * [Custom formatting](formatting.md#custom-formatting)
* [Pluralization](pluralization.md)
* [DateTime localization](datetime.md)
* [Number localization](number.md)
* [Locale messages syntax](messages.md)
  * [Structure](messages.md#structure)
  * [Linked locale messages](messages.md#linked-locale-messages)
* [Fallback localization](fallback.md)
* [Component based localization](component.md)
* [Custom directive localization](directive.md)
  * [String Syntax](directive.md#string-syntax)
  * [Object Syntax](directive.md#object-syntax)
  * [$t vs v-t](directive.md#t-vs-v-t)
* [Component interpolation](interpolation.md)
  * [Basic Usage](interpolation.md#basic-usage)
  * [Advanced Usage](interpolation.md#advanced-usage)
* [Single file components](sfc.md)
  * [Basic Usage](sfc.md#basic-usage)
  * [YAML loading](sfc.md#yaml-loading)
  * [Multiple custom blocks](sfc.md#multiple-custom-blocks)
* [Hot reloading](hot-reload.md)
* [Lazy loading](lazy-loading.md)
* [Common gotchas](gotchas.md)
* [Migrations](migrations.md)
  * [Global config](migrations.md#global-config)
  * [Global methods](migrations.md#global-methods)
  * [Constructor options](migrations.md#constructor-options)
  * [Instance properties](migrations.md#instance-properties)
  * [Features](migrations.md#features)
* [API references](api.md)
  * [Extension of Vue](api.md#extension-of-vue)
    * [Vue constructor options](api.md#vue-constructor-options)
    * [Vue injected methods](api.md#vue-injected-methods)
    * [Injected properties](api.md#injected-properties)
  * [VueI18n class](api.md#vuei18n-class)
    * [Static properties](api.md#static-properties)
    * [Constructor options](api.md#constructor-options)
    * [Properties](api.md#properties)
    * [Methods](api.md#methods)
  * [Directives](api.md#directives)
    * [v-t](api.md#v-t)
  * [Components](api.md#components)
    * [i18n](api.md#i18n-functional-component)
  * [Special Attributes](api.md#special-attributes)
    * [place](api.md#place)
